Bug 199796 - gnome-applet-sensors crashes on an x86_64 machine when added to the panel
gnome-applet-sensors crashes on an x86_64 machine when added to the panel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-applet-sensors (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Aaron Kurtz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-22 00:41 EDT by Eric Bair
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.7.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 18:32:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Bair 2006-07-22 00:41:18 EDT
Description of problem:
gnome-applet-sensors crashes when I attempt to add it to the panel on my x86_64
machine.

Version-Release number of selected component (if applicable):
gnome-applet-sensors-1.6-3.fc5

How reproducible:
Happens every time.

Steps to Reproduce:
1. Attempt to add gnome-sensors-applet to the panel.
  
Actual results:
An error dialog box opens which says "The Application 'sensors-applet' has quit
unexpectedly."

Expected results:
The applet should be added to the panel.

Additional info:
gdb stack trace:
(gdb) run
Starting program: /usr/libexec/sensors-applet
[Thread debugging using libthread_db enabled]
[New Thread 46912496385040 (LWP 3497)]

Sensors Applet-ERROR **: file i2c-sys-sensors-interface.c: line 90
(i2c_sys_sensors_interface_add_sensor): should not be reached
aborting...

Program received signal SIGABRT, Aborted.
[Switching to Thread 46912496385040 (LWP 3497)]
0x0000003b8be2f4f5 in raise () from /lib64/libc.so.6
(gdb) thread apply all bt

Thread 1 (Thread 46912496385040 (LWP 3497)):
#0  0x0000003b8be2f4f5 in raise () from /lib64/libc.so.6
#1  0x0000003b8be30e40 in abort () from /lib64/libc.so.6
#2  0x0000003406b2f0e0 in g_logv () from /usr/lib64/libglib-2.0.so.0
#3  0x0000003406b2f163 in g_log () from /usr/lib64/libglib-2.0.so.0
#4  0x0000003406b2f1e6 in g_assert_warning () from /usr/lib64/libglib-2.0.so.0
#5  0x000000000040abb2 in i2c_sys_sensors_interface_find_sensors (
    sensors_applet=0x5a0360,
    path=0x5a7b60 "/sys/module/hidp/sections/.text.hidp_input_report")
    at i2c-sys-sensors-interface.c:90
#6  0x000000000040acb0 in i2c_sys_sensors_interface_find_sensors (
    sensors_applet=0x5a0360, path=0x5b06c0 "/sys/module/hidp/sections")
    at i2c-sys-sensors-interface.c:139
#7  0x000000000040acb0 in i2c_sys_sensors_interface_find_sensors (
    sensors_applet=0x5a0360, path=0x5b0800 "/sys/module/hidp")
    at i2c-sys-sensors-interface.c:139
#8  0x000000000040acb0 in i2c_sys_sensors_interface_find_sensors (
    sensors_applet=0x5a0360, path=0x5aff70 "/sys/module")
    at i2c-sys-sensors-interface.c:139
#9  0x000000000040acb0 in i2c_sys_sensors_interface_find_sensors (
    sensors_applet=0x5a0360, path=0x40d4b8 "/sys")
    at i2c-sys-sensors-interface.c:139
---Type <return> to continue, or q <return> to quit---
#10 0x0000000000408d66 in sensors_applet_init (sensors_applet=0x5a0360)
    at sensors-applet.c:990
#11 0x0000000000404722 in sensors_applet_fill (applet=0x57f000, iid=Variable
"iid" is not available.
)
    at main.c:34
#12 0x0000003d79d0b4fd in panel_applet_marshal_BOOLEAN__STRING ()
   from /usr/lib64/libpanel-applet-2.so.0
#13 0x0000003406d0b22a in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#14 0x000000340863e3ff in bonobo_closure_invoke_va_list ()
   from /usr/lib64/libbonobo-2.so.0
#15 0x000000340863e7d9 in bonobo_closure_invoke ()
   from /usr/lib64/libbonobo-2.so.0
#16 0x0000003d79d0719e in panel_applet_new ()
   from /usr/lib64/libpanel-applet-2.so.0
#17 0x0000003406d0b22a in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#18 0x0000003406d1b364 in g_signal_override_class_closure ()
   from /usr/lib64/libgobject-2.0.so.0
#19 0x0000003406d1c7d5 in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#20 0x0000003406d1c9b3 in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0
#21 0x0000003d7953184f in bonobo_control_add_listener ()
   from /usr/lib64/libbonoboui-2.so.0
---Type <return> to continue, or q <return> to quit---
#22 0x000000340842ff5e in ORBit_small_invoke_adaptor ()
   from /usr/lib64/libORBit-2.so.0
#23 0x000000340843eef6 in ORBit_recv_buffer_return_sys_exception ()
   from /usr/lib64/libORBit-2.so.0
#24 0x000000340843f4da in ORBit_recv_buffer_return_sys_exception ()
   from /usr/lib64/libORBit-2.so.0
#25 0x0000003408440059 in ORBit_skel_class_register ()
   from /usr/lib64/libORBit-2.so.0
#26 0x00000034084411bd in ORBit_handle_request ()
   from /usr/lib64/libORBit-2.so.0
#27 0x000000340842c536 in giop_connection_handle_input ()
   from /usr/lib64/libORBit-2.so.0
#28 0x0000003408447150 in link_connection_state_changed ()
   from /usr/lib64/libORBit-2.so.0
#29 0x0000003406b26cca in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
#30 0x0000003406b29e45 in g_main_context_check ()
   from /usr/lib64/libglib-2.0.so.0
#31 0x0000003406b2a16d in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#32 0x000000340862d2c6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#33 0x000000340862b751 in bonobo_generic_factory_main_timeout ()
   from /usr/lib64/libbonobo-2.so.0
#34 0x0000003d79d06fc4 in panel_applet_factory_main_closure ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib64/libpanel-applet-2.so.0
#35 0x0000003b8be1ce54 in __libc_start_main () from /lib64/libc.so.6
#36 0x0000000000404579 in _start ()
#37 0x00007fff7227e9b8 in ?? ()
#38 0x0000000000000000 in ?? ()
Comment 1 Aaron Kurtz 2006-09-02 03:00:13 EDT
gnome-applet-sensors has been upgraded to 1.7.8, please give the new release and
try and tell me if it's still having x86-64 problems.
Comment 2 Eric Bair 2006-09-11 18:32:39 EDT
It's fixed in version 1.7.8; I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.